## dpkg-http 0.14

=== debian/changelog ===
dpkg-http (0.14) frozen unstable; urgency=low

  * Mark reinstreq packages for download (#20806)
  * Default sites http://llug.sep.bnl.gov/ and http://nonus.debian.org/
  * Replaced $site{$fn} with $site{$pkg} (#20576)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun, 12 Apr 1998 10:46:21 +1000

dpkg-http (0.13) unstable; urgency=low

  * Prompt user to abort if there are predependencies
  * dpkg --forget-old-unavail only if all Packages files download successfully
  * Removed version comparison when selecting download site (#20435)
  * Print site for each package file downloaded
  * Added note to README.Debian about real vs. symbolic archives
  * Switched default setup from dists/unstable/ to dists/hamm/
  * Added Cache-Control headers to make Packages.gz very current (max_age=0)
    and *.deb very cachable (max_stale=1 year)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  2 Apr 1998 10:03:35 +1000

dpkg-http (0.12) unstable; urgency=low

  * Added mention of vars file in setup
  * Revised control-file description instead of renaming package
  * Fixed csh-style redirection in install (#19627)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon, 16 Mar 1998 13:45:34 +1100

dpkg-http (0.11) unstable; urgency=low

  * Removed extra chdir(dldir) that broke update

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed, 11 Mar 1998 12:20:34 +1100

dpkg-http (0.10) unstable; urgency=low

  * postinst removes old Package and .deb files for new layout
  * Ignore Packages.gz when checking for corrupt non-.deb files
  * Replace $:: globals with local variables
  * Call mirror() instead of request() (#19158)
  * Reorganized archive to resemble a real Debian archive
  * Removed support for uncompressed Packages files
  * Changed the Method description to include ftp and file URLs

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon,  9 Mar 1998 12:58:55 +1100

dpkg-http (0.9) unstable; urgency=low

  * Updated README.Debian to include recent changes
  * Set default distribution to standard value
  * Set default site from dpkg-ftp (fixes: Bug#18745)
  * Add download directory back from dpkg-ftp (fixes: Bug#17804)
  * Removed default $::site and $::distrib values.  (fixes: Bug#18702)
  * protect vars file (fixes: Bug#18686)
  * Unbuffer output for progress displays

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue,  3 Mar 1998 12:59:47 +1100

dpkg-http (0.8) unstable; urgency=low

  * Print age of Packages.* files (according to HTTP headers)
  * Print out Predependencies before downloading 
  * Print dpkg --*avail steps as they occur
  * Could not duplicate bug #18371, fixed by new download code?
  * Check for existence of package file before merging (paranoia)
  * Delete unsuccessful downloads immediately (18566?)
  * More error reporting when downloading Packages.gz
  * download() code modified to save direct to file (lower memory req.)
  * copied README file over changelog file (#18637)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Fri, 27 Feb 1998 09:16:37 +1100

dpkg-http (0.7) unstable; urgency=low

  * Added 1; to end of vars file so do 'vars' or die works.
  * Applied patch from Greg Wooledge to support Basic authentication

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon, 23 Feb 1998 11:55:29 +1100

dpkg-http (0.6) unstable; urgency=low

  * Added new example sites

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue,  3 Feb 1998 18:49:11 +1100

dpkg-http (0.5) experimental; urgency=low

  * Removed partial download capability- LWP doesn't support

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon,  2 Feb 1998 11:55:16 +1100

dpkg-http (0.4) experimental; urgency=low

  * proxy_ftp variable not set to user preference
  * Deleting sites messed up the prompt ordering, requiring multiple passes

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu, 22 Jan 1998 11:11:52 +1100

dpkg-http (0.3) experimental; urgency=low

  * Option to disable ftp_proxy on Packages files
  * Proxies in vars file are stored as environment variables
  * Checked LWP code: no_proxy is space separated

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon, 12 Jan 1998 11:04:04 +1100

dpkg-http (0.2) experimental; urgency=low

  * Added Depends: libwww-perl to control file
  * Better prompts and help
  * Proxy configuration

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  8 Jan 1998 10:12:11 +1100

dpkg-http (0.1) experimental; urgency=low

  * Initial Release.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue,  6 Jan 1998 13:14:54 +1100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Drake.Diedrich@anu.edu.au"
End:
