=== debian/control ===
Source: dpkg-http
Priority: extra
Section: admin
Priority: optional
Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
Standards-Version: 2.3.0.1

Package: dpkg-http
Architecture: all
Depends: ${shlibs:Depends}
Depends: libwww-perl
Description: Multiple URL access method for dselect
 This package provides a dpkg access method similar to dpkg-ftp.  The Perl LWP
 module is used as the network access library.  Any LWP supported URL may be
 specified as the download site (ftp:, http:, and file: are the most common).
 Multiple sites may be specified, as well as a web proxy.
