## dpkg-http 0.19

=== debian/changelog ===
dpkg-http (0.19) frozen unstable; urgency=high
  * #33010: dpkg-http: Upgrade from hamm to slink fails
  * Added Pre-Dependency on libhtml-parser-perl and Suggests: apt
  * Predependency abort message had sense of Y/N reversed

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun,  7 Feb 1999 20:53:15 +1100

dpkg-http (0.18) unstable; urgency=low

  * README.Debian updated.
  * Proxy authorization patch documented.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu, 20 Aug 1998 13:18:31 +1000

dpkg-http (0.17) unstable; urgency=low

  * Additional proxy_auth patch to 'install'

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu, 13 Aug 1998 10:33:10 +1000

dpkg-http (0.16) unstable; urgency=low

  * proxy_authorization_basic patch from Greg Wooledge

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu, 13 Aug 1998 01:58:40 +1000

dpkg-http (0.15) unstable; urgency=low

  * Borrowed dpkg-ftp fix parsing multiline df output (#24279)
  * Put quotes around word none in setup help (#22601)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  9 Jul 1998 17:56:50 +1000
