=== debian/control ===
Source: dpkg-http
Priority: extra
Section: admin
Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
Standards-Version: 2.3.0.1

Package: dpkg-http
Architecture: all
Depends: ${shlibs:Depends}
Depends: libwww-perl
Pre-Depends: libhtml-parser-perl
Suggests: apt
Description: Multiple URL access method for dselect
 This is an old-style dselect method based on dpkg-ftp.  It is strongly
 suggested that you switch to apt which understands pre-dependencies and
 package ordering. The Perl LWP module is used as the network access
 library.  Any LWP supported URL may be specified as the download site
 (ftp:, http:, and file: are the most common).  Multiple sites may be
 specified, as well as a web proxy.
